<?php
// Parse the config file. Do not forget to edit the file!
$c = parse_ini_file("/opt/RedstorProvision/".basename(__DIR__)."/conf/config.ini");
if(!isset($c['AS'])) exit("AccountServer is not set. Edit the config.ini file!");
if(!isset($c['collection'])) exit("The target collection is not set. Edit the config.ini file!");

?>


<html>
<head><title>Provisioning</title></head>

<body>
<center>
<img src="img/logo.png"/>
<br><br><br>
<table>
<tr>
<td>
This will create a new collection and a new group in the below collection on the following platform.<br>
Platform: <b><?=$c['AS']?></b><br>
Collection: <b><?=$c['collection']?></b>
</td>
</tr>
</table>
<hr>
<br><br>

<form action="provision.php" method="POST">

<table>
<tr>
    <td>Send the email to customer:</td>
    <td>
        <input type="radio" name="eSend" value="yes">yes
        <input type="radio" name="eSend" value="no" checked>no
    </td>
</tr>
<tr>
    <td>Full name:</td>
    <td><input name="uFullName" type="text" size="40" required="true"/></td>
</tr>
<tr>
    <td>Email address:</td>
    <td><input name="uName" type="email" size="40" required="true"/></td>
</tr>
<tr>
    <td>Password:</td>
    <td><input name="uPassword" type="password" size="40" required="true"/></td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
    <td>Customer/collection name:</td>
    <td><input name="colName" type="text" size="40" required="true"/></td>
</tr>
<tr>
    <td>Group name:</td>
    <td><input name="grpName" type="text" size="40" required="true"/></td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
    <td>Number of licences:</td>
    <td><input name="nLicence" type="number" size="40" required="true"/></td>
</tr>
<tr>
    <td>Storage limit (GB):</td>
    <td><input name="sLimit" type="number" size="40" required="true"/></td>
</tr>
<tr><td>&nbsp;</td></tr>
<tr>
    <td colspan="2" align="center">
        <button type="submit">Provision</button>
    </td>
</tr>
</table>


</form>

</center>
</body>
</html>
